Win a copy of The Little Book of Impediments (e-book only) this week in the Agile and Other Processes forum!
    Bookmark Topic Watch Topic
  • New Topic

Best book or preparation material for "Java Standard Edition 6 Developer Certified Master"

 
Palraj Jayaraj
Ranch Hand
Posts: 36
Chrome Eclipse IDE Java
  • Mark post as helpful
  • send pies
  • Report post to moderator
As far as I know that "SCJD j2se 5 " is out dated and can someone please guide me the "book or preparation material for "Java Standard Edition 6 Developer Certified Master"?

I'm sure, which is the latest version of SCJD?
Can someone, please , clarify my doubts?

Thanks in advance
 
Anayonkar Shivalkar
Bartender
Posts: 1557
5
Eclipse IDE Java Linux
  • Mark post as helpful
  • send pies
  • Report post to moderator
Hello Palraj Jayaraj,

Welcome to CodeRanch!

Palraj Jayaraj wrote:As far as I know that "SCJD j2se 5 " is out dated

I would like to know where did you get that information. Did anybody told you so, or is it just your judgement? Yes, JDK 5 is outdated, but the book contains much more that just code. It contains design perspectives, possible issues, their possible solutions and other things - which are not outdated (rather most of those are independent of Java version).

Palraj Jayaraj wrote:I'm sure, which is the latest version of SCJD?

I didn't get what do you mean by 'I'm sure' part, but there's no such exam as SCJD now. The actual name of exam is OCMJD (which you also have mentioned in your post) and latest version for it is JSE6.

Secondly, please do not ask similar questions in two posts. You've already asked this(similar) question in another post.
 
Palraj Jayaraj
Ranch Hand
Posts: 36
Chrome Eclipse IDE Java
  • Mark post as helpful
  • send pies
  • Report post to moderator
Hi Anayonkar Shivalkar,
Thanks for replying.
I meant to write "I'm not sure, which is the latest version of SCJD?", but ended up saying "I'm sure, which is the latest version of SCJD?". Sorry for that.

I read in Oracle certification site that OCMJD is available for JDK 7 and assumed that JDK is outdated. Sorry, If I'm wrong. (One of assumptions).

Thanks for posting a reply
 
Anayonkar Shivalkar
Bartender
Posts: 1557
5
Eclipse IDE Java Linux
  • Mark post as helpful
  • send pies
  • Report post to moderator
Palraj Jayaraj wrote:I read in Oracle certification site that OCMJD is available for JDK 7

Is it so? I'm not able to find the link...

Palraj Jayaraj wrote:and assumed that JDK is outdated

Definitely not. Generally, a JDK is considered as 'outdated', when a version >= major release + 2 of that JDK is available. E.g. since JDK 7 is available, JDK 5 and previous JDKs are considered as outdated(and hence, JDK 6 is not considered as outdated, and we still have exams for JDK 6). JDK 7 is the latest JDK available as of now, and it will be outdated when JDK 9 is released.

But that is general definition. As long as OCMJD 6 is concerned, a JDK 6.x is considered as outdated, if a JDK 6.y is available such that release dates of 6.x is more than 18 months older than 6.y. Ok, forget it, just download the latest version of JDK 6 on the day of assignment purchase (because, anyway, in 6 months you'll have to complete the assignment and essay exam).

If they have OCMJD for JDK 7, well, then that makes the situation quite interesting. I don't know what they are covering in that, but I would really like to know that.
 
Roel De Nijs
Sheriff
Posts: 10662
144
AngularJS Chrome Eclipse IDE Hibernate Java jQuery MySQL Database Spring Tomcat Server
  • Mark post as helpful
  • send pies
  • Report post to moderator
Topic closed, discussion continued here.

Please do not cross-post in the future. Thanks!
 
    Bookmark Topic Watch Topic
  • New Topic